interface CustomResourceEvent {
    readonly RequestType: 'Create' | 'Update' | 'Delete';
    readonly ResponseURL: string;
    readonly StackId: string;
    readonly RequestId: string;
    readonly ResourceType: string;
    readonly LogicalResourceId: string;
    readonly PhysicalResourceId?: string;
    readonly ResourceProperties: Record<string, string>;
    readonly OldResourceProperties?: Record<string, string>;
}
interface CustomResourceResponse {
    Status: 'SUCCESS' | 'FAILED';
    Reason?: string;
    PhysicalResourceId?: string;
    StackId: string;
    RequestId: string;
    LogicalResourceId: string;
    NoEcho?: boolean;
    Data?: Record<string, string>;
}
export declare function handler(event: CustomResourceEvent): Promise<CustomResourceResponse>;
export {};
